language: python
sudo: false
cache:
  apt: true
  directories:
    - $HOME/.cache/pip

python:
  - "3.5"

addons:
  postgresql: "9.6"
  apt:
    packages:
      - expect-dev  # provides unbuffer utility
      - postgresql-9.6-postgis-2.3 postgis-2.3

before_script:
  - createdb openerp_test
  - psql -U postgres -d openerp_test -c "create extension postgis"
  - psql -U postgres -d openerp_test -c "create extension postgis_topology"

env:
  global:
  - VERSION="12.0" TESTS="0" LINT_CHECK="0" TRANSIFEX="0"
  - PHANTOMJS_VERSION="latest"

  matrix:
  - LINT_CHECK="1"
  - TESTS="1" ODOO_REPO="OCA/OCB"
  - TESTS="1" ODOO_REPO="odoo/odoo" MAKEPOT="1"

install:
  - git clone --depth=1 https://github.com/OCA/maintainer-quality-tools.git ${HOME}/maintainer-quality-tools
  - export PATH=${HOME}/maintainer-quality-tools/travis:${PATH}
  - travis_install_nightly

script:
  - travis_run_tests

after_success:
  - travis_after_tests_success
